



<!DOCTYPE html>
<html lang="en">
  
  <head>
    
      <meta charset="utf-8">
      <title>barchart</title>
      
      
        
          
        <link rel="stylesheet" href="https://cdn.pydata.org/bokeh/release/bokeh-1.2.0.min.css" type="text/css" />
        
        
          
        <script type="text/javascript" src="https://cdn.pydata.org/bokeh/release/bokeh-1.2.0.min.js"></script>
        <script type="text/javascript">
            Bokeh.set_log_level("info");
        </script>
        
      
      
    
  </head>
  
  
  <body>
    
      
        
          
          
            
              <div class="bk-root" id="e0473061-55d2-47d3-a0ab-0c0b659f59eb" data-root-id="1245"></div>
            
          
        
      
      
        <script type="application/json" id="1366">
          {"68256672-8b2e-4e93-b35f-c1194fb172bc":{"roots":{"references":[{"attributes":{"callback":null},"id":"1248","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"1283","type":"VBar"},{"attributes":{},"id":"1293","type":"Selection"},{"attributes":{"below":[{"id":"1256","type":"LinearAxis"}],"center":[{"id":"1260","type":"Grid"},{"id":"1265","type":"Grid"}],"left":[{"id":"1261","type":"LinearAxis"}],"outline_line_color":{"value":null},"plot_height":350,"renderers":[{"id":"1284","type":"GlyphRenderer"}],"title":{"id":"1246","type":"Title"},"toolbar":{"id":"1273","type":"Toolbar"},"toolbar_location":"above","x_range":{"id":"1248","type":"DataRange1d"},"x_scale":{"id":"1252","type":"LinearScale"},"y_range":{"id":"1250","type":"DataRange1d"},"y_scale":{"id":"1254","type":"LinearScale"}},"id":"1245","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"1254","type":"LinearScale"},{"attributes":{},"id":"1289","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"ticker":{"id":"1262","type":"BasicTicker"}},"id":"1265","type":"Grid"},{"attributes":{},"id":"1262","type":"BasicTicker"},{"attributes":{},"id":"1267","type":"SaveTool"},{"attributes":{},"id":"1271","type":"WheelZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"1291","type":"BoxAnnotation"},{"attributes":{"grid_line_color":null,"ticker":{"id":"1257","type":"BasicTicker"}},"id":"1260","type":"Grid"},{"attributes":{},"id":"1287","type":"BasicTickFormatter"},{"attributes":{},"id":"1252","type":"LinearScale"},{"attributes":{"axis_label":"Purchase","formatter":{"id":"1289","type":"BasicTickFormatter"},"minor_tick_line_color":{"value":null},"ticker":{"id":"1262","type":"BasicTicker"}},"id":"1261","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_multi":null,"active_scroll":"auto","active_tap":"auto","tools":[{"id":"1266","type":"HoverTool"},{"id":"1267","type":"SaveTool"},{"id":"1268","type":"PanTool"},{"id":"1269","type":"BoxZoomTool"},{"id":"1270","type":"ResetTool"},{"id":"1271","type":"WheelZoomTool"},{"id":"1272","type":"TapTool"}]},"id":"1273","type":"Toolbar"},{"attributes":{"callback":null,"start":0},"id":"1250","type":"DataRange1d"},{"attributes":{"text":"Purchase amount by Marital_Status"},"id":"1246","type":"Title"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"1282","type":"VBar"},{"attributes":{},"id":"1270","type":"ResetTool"},{"attributes":{},"id":"1292","type":"UnionRenderers"},{"attributes":{"axis_label":"Marital Status","formatter":{"id":"1287","type":"BasicTickFormatter"},"minor_tick_line_color":{"value":null},"ticker":{"id":"1257","type":"BasicTicker"}},"id":"1256","type":"LinearAxis"},{"attributes":{"callback":null,"data":{"top":[317817,219760],"x":[0,1]},"selected":{"id":"1293","type":"Selection"},"selection_policy":{"id":"1292","type":"UnionRenderers"}},"id":"1281","type":"ColumnDataSource"},{"attributes":{},"id":"1268","type":"PanTool"},{"attributes":{"overlay":{"id":"1291","type":"BoxAnnotation"}},"id":"1269","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"1272","type":"TapTool"},{"attributes":{"source":{"id":"1281","type":"ColumnDataSource"}},"id":"1285","type":"CDSView"},{"attributes":{},"id":"1257","type":"BasicTicker"},{"attributes":{"callback":null,"tooltips":[["Marital Status","@x"],["Purchase","@top"]]},"id":"1266","type":"HoverTool"},{"attributes":{"data_source":{"id":"1281","type":"ColumnDataSource"},"glyph":{"id":"1282","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"1283","type":"VBar"},"selection_glyph":null,"view":{"id":"1285","type":"CDSView"}},"id":"1284","type":"GlyphRenderer"}],"root_ids":["1245"]},"title":"Bokeh Application","version":"1.2.0"}}
        </script>
        <script type="text/javascript">
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    
                  var docs_json = document.getElementById('1366').textContent;
                  var render_items = [{"docid":"68256672-8b2e-4e93-b35f-c1194fb172bc","roots":{"1245":"e0473061-55d2-47d3-a0ab-0c0b659f59eb"}}];
                  root.Bokeh.embed.embed_items(docs_json, render_items);
                
                  }
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to run BokehJS code because BokehJS library is missing");
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        </script>
    
  </body>
  
</html>